Bug 307821 - Review Request: sooperlooper - Realtime software looping sampler
Review Request: sooperlooper - Realtime software looping sampler
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 15:14 EDT by Fernando Lopez-Lezcano
Modified: 2008-04-15 14:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 14:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Lopez-Lezcano 2007-09-26 15:14:50 EDT
Spec URL: http://ccrma.stanford.edu/planetccrma/extras/sooperlooper.spec
SRPM URL: http://ccrma.stanford.edu/planetccrma/extras/sooperlooper-1.2.0-1.src.rpm

Description: 
SooperLooper is a realtime software looping sampler in the spirit of
Gibson's Echoplex Digital Pro. If used with a low-latency kernel and
the proper audio buffer configuration it is capable of truly realtime
live looping performance.

(was https://bugzilla.redhat.com/show_bug.cgi?id=200941)
Comment 1 Till Maas 2007-09-26 17:01:43 EDT
GPL is not a valid value for the License-Tag, see:
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#head-f21ae23bf2f278444e2c385463cfa74a502396b8

Afaik, these categories in the desktop file should not be used:
X-Fedora Application

And I guess these, too:
X-PlanetCCRMA
X-Digital_Processing
X-Jack

Maybe you want to add this category:
Audio
Comment 2 Fernando Lopez-Lezcano 2007-09-26 17:46:12 EDT
(In reply to comment #1)
> GPL is not a valid value for the License-Tag, see:
>
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#head-f21ae23bf2f278444e2c385463cfa74a502396b8

Thanks, changed to GPLv2+
(updated spec file linked above)

> Afaik, these categories in the desktop file should not be used:
> X-Fedora Application

Do you have a reference by any chance on categories that should / should not be
included in desktop files? 

In my fc6 machine I have 335 application desktop files. Of those that are not
from Planet CCRMA origin:

  185 have "Application;" in their category
  84 have "X-Fedora;" in their category list

A similar result happens in fc7. 

> And I guess these, too:
> X-PlanetCCRMA
> X-Digital_Processing
> X-Jack

I'd rather preserve X-Digital_Processing and X-Jack. With a full Planet CCRMA
install the "Applications" -> "Sound & Video" is very very long. Planet CCRMA
currently includes a separate menu tree (currently "Applications" ->  "Planet
CCRMA" but could be renamed if it ever becomes part of Fedora, of course) that
further categorizes apps with the end result that the menu is actually usable to
find and use applications. Leaving those categories in does not affect systems
without the extra menu structure but makes the system much more usable in those
that have it. 

> Maybe you want to add this category:
> Audio

This one does not seem to be very popular either, only 7 entries in my fc6
system (I'm not saying this is not the proper entry, only that it does not seem
to be used).

Thanks for the feedback.
Comment 3 Keith Sharp 2007-09-27 04:04:35 EDT
> I'd rather preserve X-Digital_Processing and X-Jack. With a full Planet CCRMA
> install the "Applications" -> "Sound & Video" is very very long. Planet CCRMA
> currently includes a separate menu tree (currently "Applications" ->  "Planet
> CCRMA" but could be renamed if it ever becomes part of Fedora, of course) that
> further categorizes apps with the end result that the menu is actually usable to
> find and use applications. Leaving those categories in does not affect systems
> without the extra menu structure but makes the system much more usable in those
> that have it.

I think that we need to consider how the "Sound & Video" menu will be structured
as more Planet CCRMA applications are migrated to Fedora.  I have a large number
of applications from Planet CCRMA installed on F7 and the "Sound & Video" menu
is unusable - the Planet CCRMA menu provides a much better structure.

I guess a new bug should be opened for the menu issue - against which component?
Comment 4 Hans de Goede 2007-09-27 08:10:29 EDT
The place to look when deciding what to do with the Categories field in a
.desktop file is: http://standards.freedesktop.org/menu-spec/latest/apa.html

Notice that there are main categories and sub categories. An application must
always have atleast one main category, and may have as many subcategories as one
one wants.

In the case of audio applications, there also is this note in the table:
Audio	An audio application	Desktop entry must include AudioVideo as well

So the minimal Categories field for an audio app is:
Categories=AudioVideo;Audio;

Notice no Application!, Application is not a valid Category.

If you want to further give hints for the menus what kind of application this is
, the following sub categories are candidates:
Midi	   An app related to MIDI
Mixer	   Just a mixer
Sequencer  A sequencer
Tuner      A tuner
TV         A TV application
AudioVideoEditing	Application to edit audio/video files
Player     Application to play audio/video files
Recorder   Application to record audio/video files

If that is not fine grained enough using X-foo Categories is a good solution.
As for adding some kinda finer grained menu for Audio stuff, take a look at the
games-menus package, that already does that for the Games menu.
Comment 5 Fernando Lopez-Lezcano 2007-10-01 20:04:22 EDT
(In reply to comment #4)
> The place to look when deciding what to do with the Categories field in a
> .desktop file is: http://standards.freedesktop.org/menu-spec/latest/apa.html

Thanks, perfect...

In fact, the latest version of one of the Fedora packages in my build
environment is actually complaining about "Application" and stopping the build
with an error :-)

> Notice that there are main categories and sub categories. An application must
> always have atleast one main category, and may have as many subcategories as one
> one wants.
> 
> In the case of audio applications, there also is this note in the table:
> Audio	An audio application	Desktop entry must include AudioVideo as well
> 
> So the minimal Categories field for an audio app is:
> Categories=AudioVideo;Audio;
> 
> Notice no Application!, Application is not a valid Category.
> 
> If you want to further give hints for the menus what kind of application this is
> , the following sub categories are candidates:
> 
> Midi	   An app related to MIDI
> Mixer	   Just a mixer
> Sequencer  A sequencer
> Tuner      A tuner
> TV         A TV application
> AudioVideoEditing	Application to edit audio/video files
> Player     Application to play audio/video files
> Recorder   Application to record audio/video files
> 
> If that is not fine grained enough using X-foo Categories is a good solution.

This is what I'm currently using (prepending "X-" to each, "_" is automatically
changed to " " for the menu titles). Overlaps with the existing Freedesktop
categories noted between square brackets:

  Audio_Tools
  Mixers [Mixer]
  Digital_Processing 
  Drumming
  DSSI_Plugins 
  Graphics_Apps <I used to use this, not any longer, I think>
  Jack
  LADSPA_Plugins 
  Lash 
  MIDI [Midi]
  Miscellanea 
  Multitrack 
  Notation 
  Players [Player]
  Programming 
  Recorders [Recorder]
  Sequencers [Sequencer]
  Soundcard_Tools
  Editors 
  Synthesis 
  Trackers 
  Video

> As for adding some kinda finer grained menu for Audio stuff, take a look at the
> games-menus package, that already does that for the Games menu.

That's very good, I'll take a look and see how we could make that structure work
for audio/music/midi apps. 

Do you think something like this would work for sooperlooper?:

----
# desktop file categories
BASE="AudioVideo Audio"
XTRA="X-Digital_Processing X-Jack X-MIDI Midi"
----

I erased Application, X-Fedora, etc and added Audio and Midi, but kept the X-
tags I'm currently using so that the application stays in the proper place for
users that have planetccrma-menus already installed. I could change
planetccrma-menus to account for the overlap so that eventually something like
"X-MIDI" can be dropped from the apps (and from planetccrma-menus or whatever it
is called), and "Midi" used instead exclusively. 
Comment 6 Hans de Goede 2007-10-02 03:07:18 EDT
(In reply to comment #5)
> Do you think something like this would work for sooperlooper?:
> 
> ----
> # desktop file categories
> BASE="AudioVideo Audio"
> XTRA="X-Digital_Processing X-Jack X-MIDI Midi"
> ----
> 
> I erased Application, X-Fedora, etc and added Audio and Midi, but kept the X-
> tags I'm currently using so that the application stays in the proper place for
> users that have planetccrma-menus already installed. I could change
> planetccrma-menus to account for the overlap so that eventually something like
> "X-MIDI" can be dropped from the apps (and from planetccrma-menus or whatever it
> is called), and "Midi" used instead exclusively. 

Sounds good to me.
Comment 7 Mamoru TASAKA 2007-10-28 08:33:03 EDT
What is the current status of this bug?
Comment 8 Mamoru TASAKA 2007-11-17 08:31:19 EST
Someone, ping?
Comment 9 Hans de Goede 2007-11-17 09:37:33 EST
I guess that reviewers are waiting for a new version with the .desktop
Catogories  fixed and that Fernando is busy and waiting for a full review.

I'll try todo a full review as time permits.
Comment 10 Fernando Lopez-Lezcano 2007-11-17 13:25:47 EST
(In reply to comment #9)
> I guess that reviewers are waiting for a new version with the .desktop
> Catogories  fixed and that Fernando is busy and waiting for a full review.
> 
> I'll try todo a full review as time permits.

I'm sorry about the delay, I've been very busy (and this last week rebuilding
Planet CCRMA on f8 on top of everything, out soon!). I'll see if I can release a
new spec/srpm later today for a full review. 



Comment 11 Fernando Lopez-Lezcano 2007-11-17 13:50:56 EST
(In reply to comment #10)
> (In reply to comment #9)
> > I guess that reviewers are waiting for a new version with the .desktop
> > Catogories  fixed and that Fernando is busy and waiting for a full review.
> > 
> > I'll try todo a full review as time permits.
> 
> I'm sorry about the delay, I've been very busy (and this last week rebuilding
> Planet CCRMA on f8 on top of everything, out soon!). I'll see if I can release a
> new spec/srpm later today for a full review. 

Spec URL: http://ccrma.stanford.edu/planetccrma/extras/sooperlooper.spec
SRPM URL: http://ccrma.stanford.edu/planetccrma/extras/sooperlooper-1.2.0-2.src.rpm
Comment 12 Hans de Goede 2007-11-24 14:42:16 EST
Full review done, here are the results:

Should Fix:
-----------
* adding "-n sooperlooper-%{version}" to %setup archs is superficial / not needed

No blockers, approved!
Comment 13 Hans de Goede 2008-01-04 04:23:58 EST
ping?
Comment 14 Mamoru TASAKA 2008-01-17 09:41:11 EST
What is the status of this bug?
Comment 15 Fernando Lopez-Lezcano 2008-01-17 16:29:56 EST
(In reply to comment #14)
> What is the status of this bug?

The spec file has been approved but that was just before I went on vacation and
I had no time to learn the new ins and outs of actually submitting the package.
I just came back and will do it, hopefully within a week...
Comment 16 Till Maas 2008-01-17 18:24:27 EST
(In reply to comment #15)

> The spec file has been approved but that was just before I went on vacation and
> I had no time to learn the new ins and outs of actually submitting the package.
> I just came back and will do it, hopefully within a week...

I hope your vacation was fun. Please update next time this wiki page to let
others know that you are away:
http://fedoraproject.org/wiki/Vacation
Comment 17 Hans de Goede 2008-02-26 16:02:19 EST
Fernando: ping?

All you need todo is ask for cvs creation, import and fire a build.
Comment 18 Hans de Goede 2008-04-04 05:08:44 EDT
Fernando, any chance you could get around to importing this? I'll do the CVS
creation request for you to speed things up:

New Package CVS Request
=======================
Package Name:      sooperlooper
Short Description: Realtime software looping sampler
Owners:            nando, jwrdegoede
Branches:          F-8
InitialCC: 
Cvsextras Commits: Yes
Comment 19 Kevin Fenzi 2008-04-04 11:19:41 EDT
cvs done.
Comment 20 Hans de Goede 2008-04-15 14:49:55 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.